//
// Autore: Giuliano Pellegrini Parisi
//
// Classe: 3^Sirio Inf.
//
// Data: 3 dicembre 2008
//
// Oggetto: Implementazione libreria fbblControlli
//
// Release: 0.1a

using fbblMessaggi;

namespace fbblControlli
{

    public class StrumentiControlli
    {

        static public bool ControlloNumeroRealeNonPositivo(double DatoInserito)
        {
            bool EsitoControllo;

            if (DatoInserito>0)
            {
                EsitoControllo = false;
            }
            else
            {
                EsitoControllo = true;
                StrumentiMessaggi.Messaggio("\nIl numero inserito non è reale positivo!");
            }


            return EsitoControllo;

        }

        static public void ControlloTriangolo(double Lato1,double Lato2,double Lato3,out bool ControlloOK)
        {
            // Uso dell'operatore AND Logico chiamato anche Prodotto logico

            //0 and 0 = 0
            //0 and 1 = 0
            //1 and 0 = 0
            //1 and 1 = 1
            //1 and 1 and 1 = 1
            //1 and 1 and 0 = 0


            if ( (Lato1<Lato2+Lato3) && (Lato2<Lato1+Lato3) && (Lato3<Lato1+Lato2) )
            {
                ControlloOK = true;
            }
            else
            {
                ControlloOK = false;
            }

        }

        static public void ControlloMaggioreOUguale(double BaseMaggiore,double BaseMinore,out bool ControlloOK)
        {
            if (BaseMaggiore>=BaseMinore)
            {
                ControlloOK = true;
            }
            else
            {
                ControlloOK = false;
            }
        }


    }


}
